summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2018-12-08 23:50:47 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2018-12-09 17:49:59 +0100
commit92ce08d47d7105b5d7a8c7140798a277b9b844ea (patch)
tree41bca5c9474de6cec35e12d8490260764da53970 /kde-frameworks/kfilemetadata
parentkde5-functions: Raise QT_MINIMAL to 5.11.1 (diff)
downloadgentoo-92ce08d47d7105b5d7a8c7140798a277b9b844ea.tar.gz
gentoo-92ce08d47d7105b5d7a8c7140798a277b9b844ea.tar.bz2
gentoo-92ce08d47d7105b5d7a8c7140798a277b9b844ea.zip
kde-frameworks: Add KDE Frameworks 5.53.0
Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'kde-frameworks/kfilemetadata')
-rw-r--r--kde-frameworks/kfilemetadata/Manifest1
-rw-r--r--kde-frameworks/kfilemetadata/kfilemetadata-5.53.0.ebuild63
2 files changed, 64 insertions, 0 deletions
diff --git a/kde-frameworks/kfilemetadata/Manifest b/kde-frameworks/kfilemetadata/Manifest
index 68bc4121ad1..cb9e3e8fe6b 100644
--- a/kde-frameworks/kfilemetadata/Manifest
+++ b/kde-frameworks/kfilemetadata/Manifest
@@ -1 +1,2 @@
DIST kfilemetadata-5.52.0.tar.xz 292140 BLAKE2B 73c7bfc34747fc155269a5fc0bf9ddc78d8c29234a34a292eaee8af94e2b4bb6aed819d01f759bf64c0c598356a5be17070f471160c51ebd3be25751dd119f3f SHA512 270c0b9ad16f7a598fe9d0741d29e1def875931de85e9dbf6744f9b040408b762bd7f845172ecf62923ca6a07b551963469fe21a811cfcf341e91ccf1b7c35cc
+DIST kfilemetadata-5.53.0.tar.xz 300164 BLAKE2B 08ba094bae648306af406129393fe2ea2d1843ec97df82dfd5e5b60a86cf9d20f2d2440242825b3df3a153fe2333c562b846def093b251c68952125c008e088a SHA512 1ecd29a468a074489539f22f3cfe4f1ddf330a2bd350a58918755af1361de0109eafe800fc59d502fdd81e9e515638438bc38e8f89e1a34d0366e6e3f0e6384e
diff --git a/kde-frameworks/kfilemetadata/kfilemetadata-5.53.0.ebuild b/kde-frameworks/kfilemetadata/kfilemetadata-5.53.0.ebuild
new file mode 100644
index 00000000000..7bbb0cfdd63
--- /dev/null
+++ b/kde-frameworks/kfilemetadata/kfilemetadata-5.53.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_{4,5,6,7}} )
+inherit kde5 python-any-r1
+
+DESCRIPTION="Library for extracting file metadata"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="epub exif ffmpeg kernel_linux libav office pdf taglib"
+
+RDEPEND="
+ $(add_frameworks_dep ki18n)
+ $(add_qt_dep qtxml)
+ epub? ( app-text/ebook-tools )
+ exif? ( media-gfx/exiv2:= )
+ ffmpeg? (
+ libav? ( >=media-video/libav-12.2:= )
+ !libav? ( media-video/ffmpeg:0= )
+ )
+ office? ( $(add_frameworks_dep karchive) )
+ pdf? ( app-text/poppler[qt5] )
+ taglib? ( media-libs/taglib )
+"
+DEPEND="${RDEPEND}
+ kernel_linux? ( sys-apps/attr )
+ test? ( ${PYTHON_DEPS} )
+"
+
+pkg_setup() {
+ use test && python-any-r1_pkg_setup
+ kde5_pkg_setup
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_find_package epub EPub)
+ $(cmake-utils_use_find_package exif Exiv2)
+ $(cmake-utils_use_find_package ffmpeg FFmpeg)
+ $(cmake-utils_use_find_package office KF5Archive)
+ $(cmake-utils_use_find_package pdf Poppler)
+ $(cmake-utils_use_find_package taglib Taglib)
+ )
+
+ kde5_src_configure
+}
+
+src_test() {
+ # FIXME: bug 644650, fails on tmpfs (but not for everyone)
+ local myctestargs=( -E "(usermetadatawritertest)" )
+ kde5_src_test
+}
+
+pkg_postinst() {
+ kde5_pkg_postinst
+
+ if ! has_version app-text/catdoc || ! has_version dev-libs/libxls; then
+ elog "To get additional features, optional runtime dependencies may be installed:"
+ elog "app-text/catdoc - indexing of Microsoft Word or Powerpoint files"
+ elog "dev-libs/libxls - indexing of Microsoft Excel files"
+ fi
+}